# Generated from terminal_game_of_life-1.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name terminal_game_of_life

Name: rubygem-%{gem_name}
Version: 1.0.6
Release: 1%{?dist}
Summary: Game of Life CLI
License: MIT
URL: https://git.sr.ht/~a14m/game-of-life/tree/master/CLI/ruby/README.md
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(rspec)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rubocop-rspec)
# BuildRequires: rubygem(json)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
Conway's game of life implementation as a CLI ruby gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/game-of-life
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/game_of_life.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.0.6-1
- Initial package
